var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":52,"id":2493,"methods":[{"el":44,"sc":5,"sl":41},{"el":50,"sc":5,"sl":46}],"name":"RequestBasicAuth","sl":37}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_0":{"methods":[{"sl":46}],"name":"testBasicAuthenticationCredentialsCaching","pass":true,"statements":[{"sl":49}]},"test_14":{"methods":[{"sl":46}],"name":"testBasicAuthenticationNoCreds","pass":true,"statements":[{"sl":49}]},"test_17":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":49}]},"test_18":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccessWithNonRepeatableExpectContinue","pass":true,"statements":[{"sl":49}]},"test_25":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccessNonPersistentConnection","pass":true,"statements":[{"sl":49}]},"test_31":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":49}]},"test_45":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":49}]},"test_47":{"methods":[{"sl":46}],"name":"testBasicAuthenticationFailure","pass":true,"statements":[{"sl":49}]},"test_57":{"methods":[{"sl":46}],"name":"testAuthenticationUserinfoInRequestSuccess","pass":true,"statements":[{"sl":49}]},"test_61":{"methods":[{"sl":46}],"name":"testBasicAuthenticationFailureWithNonRepeatableEntityExpectContinueOff","pass":true,"statements":[{"sl":49}]},"test_65":{"methods":[{"sl":46}],"name":"testBasicAuthenticationSuccessOnRepeatablePost","pass":true,"statements":[{"sl":49}]},"test_76":{"methods":[{"sl":46}],"name":"testAuthenticationUserinfoInRequestFailure","pass":true,"statements":[{"sl":49}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [57, 14, 17, 65, 76, 25, 18, 61, 47, 0, 45, 31], [], [], [57, 14, 17, 65, 76, 25, 18, 61, 47, 0, 45, 31], [], [], []]
